# Method: asps.list

Lists the ASPs issued by a user.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/users/{userKey}/asps`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userKey` | `string` Identifies the user in the API request. The value can be the user's primary email address, alias email address, or unique user ID. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "items": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/asps#Asp`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` The type of the API resource. This is always `admin#directory#aspList`. |
| `etag` | `string` ETag of the resource. |
| `items[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/asps#Asp`)`` A list of ASP resources. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.user.security`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).